## freecad 0.18+dfsg1

=== debian/changelog ===
freecad (0.18+dfsg1-1) unstable; urgency=medium

  * [64167ef] New upstream version 0.18+dfsg1
  * [8c882c8] Remove upstreamed patches fix-start-workbench and
    fix_qt-5.11_build
  * [7d77b28] Add NEWS file to announce Python 3 switch

 -- Kurt Kremitzki <kurt@kwk.systems>  Thu, 14 Mar 2019 21:43:55 -0500
