=== debian/changelog ===
freecad (0.18.1+dfsg1+git201904282144-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * debian/rules: allow parallel builds
  * Drop epoch to sync with Debian versions.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Apr 2019 14:24:33 -0700

freecad (2:0.18.1+dfsg1~201904282144~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Kurt Kremitzki <kkremitzki@gmail.com>  Sun, 28 Apr 2019 21:44:26 +0000

freecad (0.18.1+dfsg1-2) unstable; urgency=medium

  * [5cd3fce] Add missing pyside2 deps
  * [fd92cc2] Fix breaks+replaces relations (Closes: #926251)
  * [c61fe87] Add upstream bugfixing patch
  * [f95e30a] Fix FEM autopkgtest (Closes: #926304 #920535)

 -- Kurt Kremitzki <kurt@kwk.systems>  Sat, 27 Apr 2019 19:06:02 -0500

freecad (0.18.1+dfsg1-1) unstable; urgency=medium

  * [cab285b] Correct suggested packages
  * [576bf03] New upstream version 0.18.1+dfsg1
  * [7cec221] Update rules for 0.18.1
  * [39bac84] Add patch to display 0.18.1 version

 -- Kurt Kremitzki <kurt@kwk.systems>  Sat, 06 Apr 2019 13:52:45 -0500
