## freecad 0.18.3+dfsg1

=== debian/changelog ===
freecad (0.18.3+dfsg1-0.1~mx19+1) mx; urgency=medium

  * Import new upstream version 0.18.3+dfsg1.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 Jul 2019 13:09:04 -0700

freecad (0.18.2+dfsg1-1) unstable; urgency=medium

  * [bc5f8c2] New upstream version 0.18.2+dfsg1
  * [f6afef9] Remove upstream-bugfixes.patch (obsoleted by 0.18.2)
  * [bb1b36e] Don't save in non-user-writable location by default
  * [ce51375] Fix missing document icons

 -- Kurt Kremitzki <kurt@kwk.systems>  Fri, 07 Jun 2019 22:31:06 -0500
