=== debian/control ===
--- 
+++ 
@@ -47,13 +47,17 @@
                python-pyside2.qtcore,
                python-pyside2.qtgui,
                python-pyside2.qtsvg,
+               python-pyside2.qtuitools,
                python-pyside2.qtwidgets,
+               python-pyside2.qtxml,
                python-dev,
                python-ply,
                python3-pyside2.qtcore,
                python3-pyside2.qtgui,
                python3-pyside2.qtsvg,
+               python3-pyside2.qtuitools,
                python3-pyside2.qtwidgets,
+               python3-pyside2.qtxml,
                python3-dev,
                python3-ply,
                qtbase5-dev,
@@ -72,11 +76,9 @@
          ${shlibs:Depends}
 Recommends: calculix-ccx,
             graphviz
-Suggests: freecad-doc,
-          povray,
-          python-collada,
-Breaks: freecad (<< 0.18~)
-Replaces: freecad (<< 0.18~)
+Suggests: povray
+Breaks: freecad (<< 0.18)
+Replaces: freecad (<< 0.18)
 Description: Extensible Open Source CAx program
  FreeCAD is an Open Source CAx RAD based on OpenCasCade, Qt and Python.
  It features some key concepts like macro recording, workbenches, ability
@@ -98,7 +100,9 @@
          python-pyside2.qtcore,
          python-pyside2.qtgui,
          python-pyside2.qtsvg,
+         python-pyside2.qtuitools,
          python-pyside2.qtwidgets,
+         python-pyside2.qtxml,
          python-pyside2uic,
          libfreecad-python2-0.18 (<< ${binary:Version}+1~),
          libfreecad-python2-0.18 (>= ${binary:Version}),
@@ -106,8 +110,8 @@
          ${python:Depends},
          ${shlibs:Depends}
 Breaks: libfreecad-python2-0.17
-Conflicts: libfreecad-python2-0.17
 Replaces: libfreecad-python2-0.17
+Suggests: python-collada
 Description: Extensible Open Source CAx program - Python 2 binaries
  FreeCAD is an Open Source CAx RAD based on OpenCasCade, Qt and Python.
  It features some key concepts like macro recording, workbenches, ability
@@ -128,8 +132,10 @@
          python3-pivy,
          python3-pyside2.qtcore,
          python3-pyside2.qtgui,
+         python3-pyside2.qtuitools,
          python3-pyside2.qtsvg,
          python3-pyside2.qtwidgets,
+         python3-pyside2.qtxml,
          python3-pyside2uic,
          libfreecad-python3-0.18 (<< ${binary:Version}+1~),
          libfreecad-python3-0.18 (>= ${binary:Version}),
@@ -137,7 +143,6 @@
          ${python3:Depends},
          ${shlibs:Depends}
 Breaks: libfreecad-python2-0.17
-Conflicts: libfreecad-python2-0.17
 Replaces: libfreecad-python2-0.17
 Description: Extensible Open Source CAx program - Python 3 binaries
  FreeCAD is an Open Source CAx RAD based on OpenCasCade, Qt and Python.
@@ -171,9 +176,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: freecad (<< 0.18~), freecad-python2 (<< 0.18~)
-Conflicts: freecad (<< 0.18~), freecad-python2 (<< 0.18~)
-Replaces: freecad (<< 0.18~), freecad-python2 (<< 0.18~)
+Breaks: freecad (<< 0.18), freecad-python2 (<< 0.18)
+Replaces: freecad (<< 0.18), freecad-python2 (<< 0.18)
 Description: Extensible Open Source CAx program - common files
  FreeCAD is an Open Source CAx RAD based on OpenCasCade, Qt and Python.
  It features some key concepts like macro recording, workbenches, ability
